# bdm::enorm< sq_T > Class Template Reference

`#include <libEF.h>`

Inheritance diagram for bdm::enorm< sq_T >:

[legend]

List of all members.

## Detailed Description

### template<class sq_T>
class bdm::enorm< sq_T >

Gaussian density with positive definite (decomposed) covariance matrix.

More?...

## Public Member Functions
virtual void | dupdate (mat &v)
| TODO decide if it is really needed.
virtual double | evallog (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual void | pow (double p)
| Power of the density, used e.g. to flatten the density.
Constructors
| enorm ()
| enorm (const vec &mu, const sq_T &R)
void | set_parameters (const vec &mu, const sq_T &R)
Mathematical operations
void | dupdate (mat &v, double nu=1.0)
| dupdate in exponential form (not really handy)
vec | sample () const
| Returns a sample, from density .
mat | sample (int N) const
double | evallog_nn (const vec &val) const
| Evaluate normalized log-probability.
double | lognc () const
| logarithm of the normalizing constant,
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
mpdf * | condition (const RV &rvn) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
Access to attributes
vec & | _mu ()
void | set_mu (const vec mu0)
sq_T & | _R ()
const sq_T & | _R () const
Matematical Operations
virtual mat | sample_m (int N) const
| Returns N samples, from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
Connection to other classes
Description of the random quantity via attribute `rv` is optional. For operations such as sampling `rv` does not need to be set. However, for `marginalization` and `conditioning` `rv` has to be set. NB:
void | set_rv (const RV &rv0)
| Name its rv.
bool | isnamed () const
| True if rv is assigned.
const RV & | _rv () const
| Return name (fails when isnamed is false).
Access to attributes
bool | dimension () const
| Size of the random variable.
## Protected Attributes
vec | mu
| mean value
sq_T | R
| Covariance matrix in decomposed form.
int | dim
| dimension of the random variable
RV | rv
| Description of the random variable.

The documentation for this class was generated from the following file:

- libEF.h